Index: kernel/genarch/src/ofw/ofw_tree.c
===================================================================
--- kernel/genarch/src/ofw/ofw_tree.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ kernel/genarch/src/ofw/ofw_tree.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -106,5 +106,5 @@
 	 * Try to find the disambigued name.
 	 */
-	for (ofw_tree_node_t * cur = node->child; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = node->child; cur; cur = cur->peer) {
 		if (str_cmp(cur->da_name, name) == 0)
 			return cur;
@@ -118,5 +118,5 @@
 	 * are not always fully-qualified.
 	 */
-	for (ofw_tree_node_t * cur = node->child; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = node->child; cur; cur = cur->peer) {
 		if (str_cmp(ofw_tree_node_name(cur), name) == 0)
 			return cur;
@@ -138,5 +138,5 @@
     const char *dtype)
 {
-	for (ofw_tree_node_t * cur = node->child; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = node->child; cur; cur = cur->peer) {
 		ofw_tree_property_t *prop =
 		    ofw_tree_getprop(cur, "device_type");
@@ -167,5 +167,5 @@
     phandle handle)
 {
-	for (ofw_tree_node_t * cur = root; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = root; cur; cur = cur->peer) {
 		if (cur->node_handle == handle)
 			return cur;
@@ -194,5 +194,5 @@
     const char *dtype)
 {
-	for (ofw_tree_node_t * cur = node->peer; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = node->peer; cur; cur = cur->peer) {
 		ofw_tree_property_t *prop =
 		    ofw_tree_getprop(cur, "device_type");
@@ -220,5 +220,5 @@
     const char *name)
 {
-	for (ofw_tree_node_t * cur = node->peer; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = node->peer; cur; cur = cur->peer) {
 		ofw_tree_property_t *prop =
 		    ofw_tree_getprop(cur, "name");
@@ -284,5 +284,5 @@
     const char *dtype, ofw_tree_walker_t walker, void *arg)
 {
-	for (ofw_tree_node_t * cur = node; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = node; cur; cur = cur->peer) {
 		ofw_tree_property_t *prop =
 		    ofw_tree_getprop(cur, "device_type");
@@ -388,5 +388,5 @@
 	char *cur_path = (char *) malloc(PATH_MAX_LEN, 0);
 
-	for (ofw_tree_node_t * cur = node; cur; cur = cur->peer) {
+	for (ofw_tree_node_t *cur = node; cur; cur = cur->peer) {
 		if ((cur->parent) && (path))
 			snprintf(cur_path, PATH_MAX_LEN, "%s.%s", path, cur->da_name);
Index: kernel/generic/src/smp/smp_call.c
===================================================================
--- kernel/generic/src/smp/smp_call.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ kernel/generic/src/smp/smp_call.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -222,5 +222,5 @@
 
 	/* Walk the list manually, so that we can safely remove list items. */
-	for (link_t * cur = calls_list.head.next, *next = cur->next;
+	for (link_t *cur = calls_list.head.next, *next = cur->next;
 	    !list_empty(&calls_list); cur = next, next = cur->next) {
 
Index: kernel/generic/src/sysinfo/sysinfo.c
===================================================================
--- kernel/generic/src/sysinfo/sysinfo.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ kernel/generic/src/sysinfo/sysinfo.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -511,5 +511,5 @@
 			break;
 		case SYSINFO_VAL_VAL:
-			printf(" -> %" PRIun" (%#" PRIxn ")\n", cur->val.val,
+			printf(" -> %" PRIun " (%#" PRIxn ")\n", cur->val.val,
 			    cur->val.val);
 			break;
@@ -519,5 +519,5 @@
 		case SYSINFO_VAL_FUNCTION_VAL:
 			val = cur->val.gen_val.fn(cur, cur->val.gen_val.data);
-			printf(" -> %" PRIun" (%#" PRIxn ") [generated]\n", val,
+			printf(" -> %" PRIun " (%#" PRIxn ") [generated]\n", val,
 			    val);
 			break;
Index: uspace/app/tester/mm/common.c
===================================================================
--- uspace/app/tester/mm/common.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ uspace/app/tester/mm/common.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -269,5 +269,5 @@
 void fill_block(mem_block_t *block)
 {
-	for (uint8_t * pos = block->addr, *end = pos + block->size;
+	for (uint8_t *pos = block->addr, *end = pos + block->size;
 	    pos < end; pos++)
 		*pos = block_expected_value(block, pos);
@@ -286,5 +286,5 @@
 void check_block(mem_block_t *block)
 {
-	for (uint8_t * pos = block->addr, *end = pos + block->size;
+	for (uint8_t *pos = block->addr, *end = pos + block->size;
 	    pos < end; pos++) {
 		if (*pos != block_expected_value(block, pos)) {
@@ -402,5 +402,5 @@
 void fill_area(mem_area_t *area)
 {
-	for (uint8_t * pos = area->addr, *end = pos + area->size;
+	for (uint8_t *pos = area->addr, *end = pos + area->size;
 	    pos < end; pos++)
 		*pos = area_expected_value(area, pos);
Index: uspace/app/vuhid/main.c
===================================================================
--- uspace/app/vuhid/main.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ uspace/app/vuhid/main.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -172,5 +172,5 @@
 {
 	printf("Available devices:\n");
-	for (vuhid_interface_t * *i = available_hid_interfaces; *i != NULL; ++i) {
+	for (vuhid_interface_t **i = available_hid_interfaces; *i != NULL; ++i) {
 		printf("\t`%s'\t%s\n", (*i)->id, (*i)->name);
 	}
Index: uspace/drv/bus/usb/xhci/hc.c
===================================================================
--- uspace/drv/bus/usb/xhci/hc.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ uspace/drv/bus/usb/xhci/hc.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -87,5 +87,5 @@
 	xhci_port_speed_t *speeds = hc->speeds;
 
-	for (xhci_extcap_t * ec = hc->xecp; ec; ec = xhci_extcap_next(ec)) {
+	for (xhci_extcap_t *ec = hc->xecp; ec; ec = xhci_extcap_next(ec)) {
 		xhci_dump_extcap(ec);
 		switch (XHCI_REG_RD(ec, XHCI_EC_CAP_ID)) {
Index: uspace/lib/bithenge/src/script.c
===================================================================
--- uspace/lib/bithenge/src/script.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ uspace/lib/bithenge/src/script.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -401,5 +401,5 @@
     const char *name)
 {
-	for (transform_list_t * e = state->transform_list; e; e = e->next) {
+	for (transform_list_t *e = state->transform_list; e; e = e->next) {
 		if (!str_cmp(e->name, name)) {
 			bithenge_transform_inc_ref(e->transform);
Index: uspace/lib/c/generic/malloc.c
===================================================================
--- uspace/lib/c/generic/malloc.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
+++ uspace/lib/c/generic/malloc.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
@@ -874,5 +874,5 @@
  *
  */
-void *realloc(void * const addr, const size_t size)
+void *realloc(void *const addr, const size_t size)
 {
 	if (size == 0) {
@@ -988,5 +988,5 @@
  *
  */
-void free(void * const addr)
+void free(void *const addr)
 {
 	if (addr == NULL)
@@ -996,6 +996,6 @@
 
 	/* Calculate the position of the header. */
-	heap_block_head_t *head
-	    = (heap_block_head_t *) (addr - sizeof(heap_block_head_t));
+	heap_block_head_t *head =
+	    (heap_block_head_t *) (addr - sizeof(heap_block_head_t));
 
 	block_check(head);
@@ -1012,6 +1012,6 @@
 
 	/* Look at the next block. If it is free, merge the two. */
-	heap_block_head_t *next_head
-	    = (heap_block_head_t *) (((void *) head) + head->size);
+	heap_block_head_t *next_head =
+	    (heap_block_head_t *) (((void *) head) + head->size);
 
 	if ((void *) next_head < area->end) {
